package client

import (
	"context"

	userv1 "hyapp.local/api/proto/user/v1"

	"google.golang.org/grpc"
)

type UserClient struct {
	client userv1.UserServiceClient
}

func NewUserClient(conn *grpc.ClientConn) *UserClient {
	return &UserClient{client: userv1.NewUserServiceClient(conn)}
}

func (c *UserClient) GetUser(ctx context.Context, req *userv1.GetUserRequest) (*userv1.GetUserResponse, error) {
	return c.client.GetUser(ctx, req)
}
